SYD-SHA(1)

NAME

syd-sha - Calculate SHA3-512 checksum of the given file or standard input

SYNOPSIS

syd-sha [-bcChmx1235] <file|->

DESCRIPTION

Given a file, calculate the checksum of the file.

Given no positional arguments or "-" as argument, calculate checksum of standard input.

Use -b to print binary output rather than hex-encoded string.

OPTIONS

-h | Display help.
-b | Binary output.
-x | Hexadecimal output (default).
-c | Calculate CRC64 checksum (insecure).
-C | Calculate CRC32 checksum (insecure).
-m | Calculate MD5 checksum (insecure, portage/paludis vdb compat).
-1 | Calculate SHA1 checksum (insecure).
-2 | Calculate SHA3-256 checksum.
-3 | Calculate SHA3-384 checksum.
-5 | Calculate SHA3-512 checksum (default).

SEE ALSO

syd(1), syd(2), syd(5)

syd homepage: https://sydbox.exherbolinux.org/

AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera Chat or in #sydbox:mailstation.de on Matrix.